Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# `incus profile assign`

Assign sets of profiles to instances

## Synopsis

Description:
Assign sets of profiles to instances

    incus profile assign [<remote>:]<instance> <profiles> [flags]

## Examples

      incus profile assign foo default,bar
          Set the profiles for "foo" to "default" and "bar".

      incus profile assign foo default
          Reset "foo" to only using the "default" profile.

      incus profile assign foo ''
          Remove all profile from "foo"

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus profile - Manage profiles